/*

 TEST.PRG

 04-11-2022

 www.cobasystems.com --- COBA Systems --- Slobodan Stanojevi COBA
 Open Source Project BAST Business Account Software Technology
 www.Alaska-Software.com --- Alaska Xbase++ version 2.0.1503
 www.Donnay-software.com --- eXpress++      version 2.0.268
 https://devzone.advantagedatabase.com/dz/
 SAP --- Advantage Database Server ADS      version 10.10.0.49
 Sergej Spirin --- FastReport for Xbase++   version 27.03.2015
 ======================================================================
 Program: TEST.EXE


 ======================================================================


*/



#include "Appevent.ch"
#include "Xbp.ch"
#include "common.ch"
#include "dll.ch"

#include "xbtsys.ch"
#include "dcdialog.ch"


 PROCEDURE APPSYS()
 RETURN

 FUNCTION MAIN()

      eXpress_OWNERDRAW("NO")

      eXpress_OWNERDRAW("YES")

 RETURN



#include "TEST\COBA.CH"
***************************************************************************
FUNCTION eXpress_OWNERDRAW(akcija)
***************************************************************************
* akcija = "NO"
* akcija = "YES"

LOCAL GetList := {}, GetOptions, oDlg

LOCAL aSize := Appdesktop():currentsize(),  ;
      aPos  := SetAppWindow():currentpos(), ;
    oParent := SetAppWindow()


// eXpress++
 * aColor := {0,0,0} // PNG transparent RGB color black
 * DC_BitmapTransparentColor(aColor)


PRIVATE ooMenuBar

IF akcija == "NO"    // NO OWNERDRAW

   DCMENUBAR ooMenuBar

ELSE                 // YES OWNWRDRAV

   cf10  := "10.Arial Narrow Unicode MS"
   cf9   := "10.Arial Narrow Unicode MS"

   DCMENUBAR ooMenuBar ;
   OWNERDRAW;
   MENUBARFONT cf10 ;
   MENUBARCOLOR {131,157,215}, GRA_CLR_BACKGROUND ;
   SUBCOLOR {0,0,0}, {255,255,255} ;
   SUBBARFONT '8.Helv Bold' ;
   SUBBARCOLOR {255,255,255}, { 66,150,230 } ;
   SUBITEMFONT cf9

ENDIF








//-  1

 DCSUBMENU ooMenu1 PROMPT "BMP from RES file" PARENT ooMenuBar
 DCMENUITEM "" PARENT ooMenu1
 DCMENUITEM "" PARENT ooMenu1 SEPARATOR
 DCMENUITEM " Using the ARC and CH file	(BMP Index)" PARENT ooMenu1 ACTION {|| NIL }
 DCMENUITEM "" PARENT ooMenu1 SEPARATOR

        // COBA.ARC
        *  B_config32 = "config32.bmp" // 201
        *  B_config24 = "config24.bmp" // 202
        // COBA.CH
        *  #define  B_config32  201
        *  #define  B_config24  202


 DCMENUITEM "ARC config32.bmp  CH index: B_config32" ;
 PARENT ooMenu1 ACTION {|| NIL } BITMAP B_config32

 DCMENUITEM "ARC config24.bmp  CH index: B_config24" ;
 PARENT ooMenu1 ACTION {|| NIL } BITMAP B_config24

 DCMENUITEM "ARC config32.bmp  CH index: 202" ;
 PARENT ooMenu1 ACTION {|| NIL } BITMAP 201

 DCMENUITEM "ARC config24.bmp  CH index: 201" ;
 PARENT ooMenu1 ACTION {|| NIL } BITMAP 202



//


 DCMENUITEM "" PARENT ooMenu1
 DCMENUITEM "" PARENT ooMenu1 SEPARATOR
 DCMENUITEM "Using the ARC file	(BMP Number)" PARENT ooMenu1 ACTION {|| NIL }
 DCMENUITEM "" PARENT ooMenu1 SEPARATOR

        // COBA.ARC
        *  BITMAP 301 = "config32.bmp"
        *  BITMAP 302 = "config24.bmp"

 DCMENUITEM "ARC config32.bmp  number: 301" ;
 PARENT ooMenu1 ACTION {|| NIL } BITMAP 301

 DCMENUITEM "ARC config24.bmp  number: 302" ;
 PARENT ooMenu1 ACTION {|| NIL } BITMAP 302


//

 DCMENUITEM "" PARENT ooMenu1
 DCMENUITEM "" PARENT ooMenu1 SEPARATOR
 DCMENUITEM "Using the RES and EXE file	(BMP Object)" PARENT ooMenu1 ACTION {|| NIL }  BITMAP XBPMB_INFORMATION  // 64
 DCMENUITEM "" PARENT ooMenu1 SEPARATOR


        // COBA.REX/TEST.EXE
        *  BITMAP 301 = "config32.bmp"
        *  BITMAP 302 = "config24.bmp"


        oBmp301:= XbpBitmap():new():create()
        oBmp301:load( NIL, 301 )

        oBmp302:= XbpBitmap():new():create()
        oBmp302:load( NIL, 302 )


 DCMENUITEM "ARC config32.bmp  object: oBmp301" ;
 PARENT ooMenu1 ACTION {|| NIL } BITMAP oBmp301

 DCMENUITEM "ARC config24.bmp  object: oBmp302" ;
 PARENT ooMenu1 ACTION {|| NIL } BITMAP oBmp302



//-  1










//-  2

 DCSUBMENU ooMenu2 PROMPT "ICO from RES file" PARENT ooMenuBar
 DCMENUITEM "" PARENT ooMenu2
 DCMENUITEM "" PARENT ooMenu2 SEPARATOR
 DCMENUITEM " Using the ARC and CH file	(ICO Index)" PARENT ooMenu2 ACTION {|| NIL }
 DCMENUITEM "" PARENT ooMenu2 SEPARATOR

        // COBA.ARC
        *  I_config32 = "config32.ico" // 11
        *  I_config24 = "config24.ico" // 12
        // COBA.CH
        *  #define  I_config32  11
        *  #define  I_config24  12


 DCMENUITEM "ARC config32.ico  CH index: I_config32" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP I_config32

 DCMENUITEM "ARC config24.ico  CH index: I_config24" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP I_config24

 DCMENUITEM "ARC config32.ico  CH index: 11" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP 901 // 11

 DCMENUITEM "ARC config24.ico  CH index: 12" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP 902 // 12



//


 DCMENUITEM "" PARENT ooMenu2
 DCMENUITEM "" PARENT ooMenu2 SEPARATOR
 DCMENUITEM "Using the ARC file	(ICO Number)" PARENT ooMenu2 ACTION {|| NIL }
 DCMENUITEM "" PARENT ooMenu2 SEPARATOR

        // COBA.ARC
        *  ICON 101 = "config32.ico"
        *  ICON 102 = "config24.ico"

 DCMENUITEM "ARC config32.ico  number: 101" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP 101

 DCMENUITEM "ARC config24.ico  number: 102" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP 102


//

 DCMENUITEM "" PARENT ooMenu2
 DCMENUITEM "" PARENT ooMenu2 SEPARATOR
 DCMENUITEM "Using the RES and EXE file	(ICO Object)" PARENT ooMenu2 ACTION {|| NIL }  BITMAP XBPMB_INFORMATION  // 64
 DCMENUITEM "" PARENT ooMenu2 SEPARATOR


        // COBA.REX/TEST.EXE
        *  ICON 101 = "config32.ico"
        *  ICOM 102 = "config24.ico"


        oIco101:= XbpIcon():new():create()
        oIco101:load( NIL, 101 )

        oIco102:= XbpIcon():new():create()
        oIco102:load( NIL, 102 )


 DCMENUITEM "ARC config32.ico  object: oIco101" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP oIco101

 DCMENUITEM "ARC config24.ico  object: oIco102" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP oIco102



//- 2









//- 3

 DCSUBMENU ooMenu2 PROMPT "PNG from RES file" PARENT ooMenuBar
 DCMENUITEM "" PARENT ooMenu2
 DCMENUITEM "" PARENT ooMenu2 SEPARATOR
 DCMENUITEM " Using the ARC and USERDEF PNG	(PNG object)" PARENT ooMenu2 ACTION {|| NIL }
 DCMENUITEM "" PARENT ooMenu2 SEPARATOR

        // COBA.ARC
         * USERDEF PNG
         * 1001  = FILE "config32.png"
         * 1002  = FILE "config24.png"


        // iz exe fajla
        oPNG32 := XbpBitmap():new():create()
        cBuffer := LoadResource(1001,,"PNG")
        oPNG32:SetBuffer( cBuffer, XBPBMP_FORMAT_PNG )
        * oPNG32:transparentClr := oPNG32:getDefaultBgColor()

        // iz exe fajla
        oPNG24 := XbpBitmap():new():create()
        cBuffer := LoadResource(1002,,"PNG")
        oPNG24:SetBuffer( cBuffer, XBPBMP_FORMAT_PNG )
        * oPNG24:transparentClr := oPNG24:getDefaultBgColor()


 DCMENUITEM "ARC config32.png  number: 1001 object: oPNG32" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP oPNG32

 DCMENUITEM "ARC config24.png  number: 1002 object: oPNG24" ;
 PARENT ooMenu2 ACTION {|| NIL } BITMAP oPNG24

//- 3


 DCSUBMENU ooMenu_HELP PROMPT "Help" PARENT ooMenuBar ;
 ACTION {|| help_programa() }

 DCSUBMENU ooMenu_EXIT PROMPT "Exit" PARENT ooMenuBar ;
 ACTION {|| DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList) }









//- 4


xx:=0
@ xx,5 DCSAY "DCSTATIC" SAYSIZE 0 SAYFONT "10.Consolas Bold"

// B M P
//-

        // COBA.ARC
        *  B_config32 = "config32.bmp" // 201
        // COBA.CH
        *  #define  B_config32  201
        // COBA.ARC
        *  BITMAP 301 = "config32.bmp"


xx:=2
 @ xx,12 DCSAY "1.BMP  ARC config32.bmp  CH index: B_config32" SAYFONT "10.Consolas Bold" SAYSIZE 0
 @ xx,5  DCSTATIC TYPE XBPSTATIC_TYPE_BITMAP CAPTION B_config32
xx:=xx+1.5
 @ xx,12 DCSAY "2.BMP  ARC config32.bmp  number: 301" SAYFONT "10.Consolas Bold" SAYSIZE 0
 @ xx,5  DCSTATIC TYPE XBPSTATIC_TYPE_BITMAP CAPTION 301
xx:=xx+1.5
 @ xx,12 DCSAY "3.BMP  ARC config32.bmp  number: 301 object: oBmp301" SAYFONT "10.Consolas Bold" SAYSIZE 0
 @ xx,5  DCSTATIC TYPE XBPSTATIC_TYPE_BITMAP CAPTION oBmp301


// I C O
//-

        // COBA.ARC
        *  I_config32 = "config32.ico" // 11
        // COBA.CH
        *  #define  I_config32  11
        // COBA.ARC
        *  ICON 101 = "config32.ico"


xx:=xx+1.5+1
 @ xx,12 DCSAY "4.ICO  ARC config32.ico  CH index: I_config32" SAYFONT "10.Consolas Bold" SAYSIZE 0
 @ xx,5  DCSTATIC TYPE XBPSTATIC_TYPE_ICON   CAPTION I_config32
xx:=xx+1.5
 @ xx,12 DCSAY "5.ICO  ARC config32.ico  number: 101" SAYFONT "10.Consolas Bold" SAYSIZE 0
 @ xx,5  DCSTATIC TYPE XBPSTATIC_TYPE_ICON CAPTION 101
xx:=xx+1.5
 @ xx,12 DCSAY "6.ICO  ARC config32.ico  number: 101 object: oIco101" SAYFONT "10.Consolas Bold" SAYSIZE 0
 @ xx,5  DCSTATIC TYPE XBPSTATIC_TYPE_ICON CAPTION oIco101


// P N G
//-
        // COBA.ARC
        *  USERDEF PNG
        *  1001  = FILE "config32.png"

xx:=xx+1.5+1
 @ xx,12 DCSAY "7.PNG  ARC config32.png  number: 1001 object: oPNG32" SAYFONT "10.Consolas Bold" SAYSIZE 0
 @ xx,5  DCSTATIC TYPE XBPSTATIC_TYPE_BITMAP CAPTION oPNG32


//- 4









//- 5

// DCPUSHBUTTON
//
xx:=xx+1.5
@ xx,5 DCSAY "DCPUSHBUTTON" SAYSIZE 0 SAYFONT "10.Consolas Bold"

xx:=xx+1
@ xx,5 ;
DCPUSHBUTTON CAPTION oBmp301 SIZE 10,3
@ xx,5+10 ;
DCPUSHBUTTON CAPTION "3.BMP" SIZE 10,3 FONT "10.Consolas Bold"

@ xx,5 + 20 ;
DCPUSHBUTTON CAPTION oIco101 SIZE 10,3
@ xx,5+10 + 20 ;
DCPUSHBUTTON CAPTION "6.ICO" SIZE 10,3 FONT "10.Consolas Bold"

@ xx,5 + 20 + 20;
DCPUSHBUTTON CAPTION oPNG32 SIZE 10,3
@ xx,5+10 + 20 + 20;
DCPUSHBUTTON CAPTION "7.PNG" SIZE 10,3 FONT "10.Consolas Bold"


// DCPUSHBUTTONXP
//-
xx:=xx+3+0.5
@ xx,5 DCSAY "DCPUSHBUTTONXP" SAYSIZE 0 SAYFONT "10.Consolas Bold"
xx:=xx+1
@ xx,5 ;
DCPUSHBUTTONXP CAPTION oBmp301 SIZE 10,3
@ xx,5+10 ;
DCPUSHBUTTONXP CAPTION "3.BMP" SIZE 10,3 FONT "10.Consolas Bold"

@ xx,5 + 20 ;
DCPUSHBUTTONXP CAPTION oIco101 SIZE 10,3
@ xx,5+10 + 20 ;
DCPUSHBUTTONXP CAPTION "6.ICO" SIZE 10,3 FONT "10.Consolas Bold"

@ xx,5 + 20 + 20;
DCPUSHBUTTONXP CAPTION oPNG32 SIZE 10,3
@ xx,5+10 + 20 + 20;
DCPUSHBUTTONXP CAPTION "7.PNG" SIZE 10,3 FONT "10.Consolas Bold"


//- 5



IF akcija == "NO"

   cTitle := "N O  O W N E R D R A W  RESOURCE TEST  eXpress++"

ELSE

   cTitle := "YES  O W N E R D R A W  RESOURCE TEST  eXpress++"

ENDIF


DCGETOPTIONS ICON 1 AUTORESIZE ;
WINDOWHEIGHT 540 WINDOWWIDTH 500

DCREAD GUI ;
   OPTIONS GetOptions ;
   PARENT oDlg;
   TITLE cTitle;
   MODAL ;
   EVAL {|o|setappwindow(o)}

RETURN NIL





***************************************************************************
STATIC FUNCTION help_programa()
***************************************************************************
LOCAL txt := "", cr := chr(13)+chr(10)
TEXT INTO txt WRAP cr //TRIMMED

 Company:
 COBA SYSTEMS

 Project:
 BUSINESS ACCOUNT SOFTWARE TECHNOLOGY
 BAST OPEN SOURCE PROJECT

 Programer:
 www.cobasystems.com
 cobasystems@gmail.com
 coba@cobasystems.com

 02-novembar-2022 (eng)


 INTRODUCTION
 ------------

  I have a problem with eXpress++ whenever I place icons and bitmaps
  in DCMENUITEM and in working mode with:

    DCMENUBAR oMenuBar

  and in working mode with:

    DCMENUBAR oMenuBar OWNERDRAW



  Also, there is a problem with icons and bitmaps being placed
  to the PUSHBUTTONXP command button. After increasing to full screen
  PUSHBUTTONXP and the icon and bitmap on it increase proportionally
  also increases proportionally and drastically loses quality,
  so much so that it becomes ugly and unusable.

  That problem does not exist with icons and bitmaps that are placed
  to the PUSHBUTTON command button. After increasing to full screen
  the PUSHBUTTON but the icon and the bitmap on it increase proportionally
  do not increase and retain their original appearance and quality.


  I made this test program to clear up those problems,
  by further visually seeing and knowing what I can do and how I can do it
  and where I can place from resources ICO, BMP, PNG, JPG, GIF


  Why is this not unified in eXpress++ in the following way:

    - what happens in DCMENUBAR also happens in DCMENUBAR OWNERDRAW

    - what happens in DCPUSHBUTTON with ICO,BMP,PNG,JPG,GIF happens
      se and in DCPUSHBUTTONXP

  there are probably good reasons. Otherwise, Roger Donnay would have
  already taken care of it.

  It is what it is. We work further according to these rules and do not protest much.


 BMP
 ---

 only *.BMP files embedded in ARC and CH can be used,
 or only in ARC, so a RES file is created and linked to an EXE file.

 - RES file cannot be created from XPJ application.
 - *.BMP files cannot have more than 256 colors (not well supported)
 - can be called as a numeric index set in the CH file
 - can be called as a string name set in the CH file

         COBA.ARC
           B_config32 = "config32.bmp" // 201
         COBA.CH
           #define B_config32 201

         * When working with OWNERDRAW BMP is displayed very poorly

 - can be called as a numeric number set in the ARC file

         COBA.ARC
           BITMAP 301 = "config32.bmp"

         * When working with OWNERDRAW BMP is displayed very poorly

 - CANNOT BE CALLED AS AN OBJECT FROM EXE FILE

         COBA.ARC
           BITMAP 301 = "config32.bmp"

         oBmp301:= XbpBitmap():new():create()
         oBmp301:load( NIL, 301 )

         * When working with OWNERDRAW THEY CAN BE CALLED AS AN
         * OBJECT FROM EXE FILE
         * When working with OWNERDRAW BMP is displayed very poorly



 ICO
 ---

 - They can NOT be called as a numeric index set in the CH file
 - They can NOT be called as a string name set in a CH file

         COBA.ARC
           I_config32 = "config32.ico" // 901 // 11
         COBA.CH
           #define I_config32 901 // 11

         * When working with OWNERDRAW THEY CANNOT BE REFERRED AS NUMERIC FROM ARC/CH
         * When working with OWNERDRAW THEY CANNOT BE CALLED AS STRING FROM ARC/CH
         * BUG:
         * When working with OWNERDRAW if the icon indexes are in the CH file
         * from 1 to 100, for example 11,12,13,14,15,16
         * then the icons embedded in the Alaska Xbase++ DLL are displayed
         * when called as an index or as a string !!!


 - They can NOT be called as a numeric number set in an ARC file

         COBA.ARC
           ICON 101 = "config32.ico"

         * When working with OWNERDRAW THEY CANNOT BE CALLED AS A NUMBER FROM ARC


 - CANNOT BE CALLED AS AN OBJECT FROM EXE FILE

         COBA.ARC
           ICON 101 = "config32.ico"

         oIco101:= XbpIcon():new():create()
         oIco101:load( NIL, 101 )

         * When working with OWNERDRAW THEY CAN BE CALLED AS AN OBJECT FROM EXE FILE
         * When working with OWNERDRAW ICO is displayed very poorly



  PNG
  ---

  - CANNOT BE CALLED AS AN OBJECT FROM EXE FILE IF IT IS PNG,JPG,GIF

          COBA.ARC
            USERDEF PNG
            1001 = FILE "config32.png"

          oPNG32 := XbpBitmap():new():create()
          cBuffer := LoadResource(1001,"PNG")
          oPNG32:SetBuffer( cBuffer, XBPBMP_FORMAT_PNG )
          oPNG32:transparentClr := oPNG32:getDefaultBgColor()

          * When working with OWNERDRAW THEY CAN BE CALLED AS AN OBJECT FROM EXE FILE
          * When working with OWNERDRAW PNG is displayed very badly












 =============================================================================

 02-novembar-2022 (srb)

 UVOD
 ----

 Imam problem sa eXpress++ uvek kada postavljam ikone i bitmape
 u DCMENUITEM i to u mod rada sa:

   DCMENUBAR oMenuBar

 i u mod rada sa:

   DCMENUBAR oMenuBar OWNERDRAW



 Takoe, postoji i problem sa ikonama i bitmapama koje se postavljaju
 na komandno dugme PUSHBUTTONXP. Posle poveavanja na full screen
 proporcionalno se povea PUSHBUTTONXP a ikona i bitmapa na njemu
 se takoe proporcionalno povea i drastino izgubi na kvalitetu,
 toliko da postane runa i neupotrebljiva.

 Taj problem ne postoji sa ikonama i bitmapama koje se postavljaju
 na komandno dugme PUSHBUTTON. Posle poveavanja na full screen
 proporcionalno se povea PUSHBUTTON ali ikona i bitmapa na njemu
 se ne poveavaju i zadravaju svoj izvorni izgled i kvalitet.


 Ovaj test program napravio sam da bih rasistio sa tim problemima,
 tako to u na dalje vizuelno videti i znati ta mogu i kako mogu
 i gde mogu da postavim od resursa ICO, BMP, PNG, JPG, GIF


 Zato ovo nije u eXpress++ unificirano na nain:

   - ono to se deava u DCMENUBAR deava se i u DCMENUBAR OWNERDRAW

   - ono to se deava u DCPUSHBUTTON sa ICO,BMP,PNG,JPG,GIF deava
     se i u DCPUSHBUTTONXP

 verovatno ima jakih razloga. Inae bi Roger Donnay to ve sredio.

 ta je tu je. Radimo na dalje po ovim pravilima i ne bunimo se mnogo.





 BMP
 ---

 mogu se koristiti samo *.BMP fajlovi koji su ugraeni u ARC i CH,
 ili samo u ARC, pa je napravljen RES fajl i ulinkovan u EXE fajl.

 - Ne sme se kreirati RES fajl iz XPJ aplikacije.
 - ne smeju *.BMP fajlovi imati vie od 256 boja (nije dobro podrano)
 - mogu se pozivati kao numerik index postavljen u CH fajlu
 - mogu se pozivati kao string naziv postavljen u CH fajlu

         COBA.ARC
           B_config32 = "config32.bmp" // 201
         COBA.CH
           #define  B_config32  201

         * Kod rada sa OWNERDRAW BMP se jako loe prikazuje

 - mogu se pozivati kao numerik broj postavljen u ARC fajlu

         COBA.ARC
           BITMAP 301 = "config32.bmp"

         * Kod rada sa OWNERDRAW BMP se jako loe prikazuje

 - NE MOGU SE POZIVATI KAO OBJEKAT IZ EXE fajla

         COBA.ARC
           BITMAP 301 = "config32.bmp"

         oBmp301:= XbpBitmap():new():create()
         oBmp301:load( NIL, 301 )

         * Kod rada sa OWNERDRAW MOGU SE POZIVATI KAO OBJEKAT IZ EXE FAJLA
         * Kod rada sa OWNERDRAW BMP se jako loe prikazuje



 ICO
 ---

 - NE mogu se pozivati kao numerik index postavljen u CH fajlu
 - NE mogu se pozivati kao string naziv postavljen u CH fajlu

         COBA.ARC
           I_config32 = "config32.ico" // 901 // 11
         COBA.CH
           #define  I_config32  901 // 11

         * Kod rada sa OWNERDRAW NE MOGU SE POZIVATI KAO NUMERIK IZ ARC/CH
         * Kod rada sa OWNERDRAW NE MOGU SE POZIVATI KAO STRING IZ ARC/CH
         * BUG:
         * Kod rada sa OWNERDRAW ako su indeksi ikona u CH fajlu
         * od 1 do 100 na primer 11,12,13,14,15,16
         * tada se prikazuju ikone ugraene u DLL Alaska Xbase++
         * kada se pozovu kao indeks ili kao string !!!


 - NE mogu se pozivati kao numerik broj postavljen u ARC fajlu

         COBA.ARC
           ICON 101 = "config32.ico"

         * Kod rada sa OWNERDRAW NE MOGU SE POZIVATI KAO NUMERIK IZ ARC


 - NE MOGU SE POZIVATI KAO OBJEKAT IZ EXE fajla

         COBA.ARC
           ICON 101 = "config32.ico"

         oIco101:= XbpIcon():new():create()
         oIco101:load( NIL, 101 )

         * Kod rada sa OWNERDRAW MOGU SE POZIVATI KAO OBJEKAT IZ EXE FAJLA
         * Kod rada sa OWNERDRAW ICO se jako loe prikazuje


 PNG
 ---

 - NE MOGU SE POZIVATI KAO OBJEKAT IZ EXE fajla ako je PNG,JPG,GIF

         COBA.ARC
           USERDEF PNG
           1001  = FILE "config32.png"

         oPNG32 := XbpBitmap():new():create()
         cBuffer := LoadResource(1001,,"PNG")
         oPNG32:SetBuffer( cBuffer, XBPBMP_FORMAT_PNG )
         oPNG32:transparentClr := oPNG32:getDefaultBgColor()

         * Kod rada sa OWNERDRAW MOGU SE POZIVATI KAO OBJEKAT IZ EXE FAJLA
         * Kod rada sa OWNERDRAW PNG se jako loe prikazuje


ENDTEXT
  TxtFile:="txt.txt"
  MEMOWRIT(TxtFile,txt)
  RUNSHELL(TxtFile,"NOTEPAD.EXE")
RETURN NIL
